Announcement Announcement Module
Collapse
No announcement yet.
Spring Integration in WebSphere Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Integration in WebSphere

    I'm trying to get my test Spring Integration app (which i know works) to run inside WebSphere 6.0. I've created it as a dynamic web project to use ContextLoaderListener to initialise the application context but get the following error:
    java.lang.UnsupportedClassVersionError: (org/springframework/integration/jms/config/JmsNamespaceHandler) bad major version at offset=6

    Has anyone come across this before? Has anyone ever got Spring Integration to run inside WebSphere?

  • #2
    Spring Integration requires JDK 5+, but WebSphere 6.0 is 1.4.2.

    WebSphere 6.1 is the first version to support JDK 5.

    Comment


    • #3
      Thanks for the quick reply but not so many thanks for the bad news I'm gutted because Spring Integration fitted perfect for my project but guess i'm back to persuading them to upgrade WAS or re-invent the wheel!

      Comment


      • #4
        You could run SI in a different process (tomcat, dm Server, main method) and talk to it from WAS using remoting/ws/jms. That would impact performance and maintainability, but it might be worth it. You can integrate your SI config in the web app after you're done persuading.

        Comment


        • #5
          Thanks for the suggestion but looks like upgrading to 6.1 wont be a problem. They assumed they would need v7.0 which was a leap too far so everyone's happy, especially me

          Comment


          • #6
            this is great, we will also be deploying to WS 6.1. Only thing is, doesnt SI need JDK1.6?

            Comment

            Working...
            X